#### D.2.5.6 showrecursive

Procedure from library `inout.lib` (see inout_lib).

Usage:
  showrecursive(id,p[,ord]); id any object of basering, p= product of variables and ord=string (any allowed ordstr)

Display:
  display 'id' in a recursive format as a polynomial in the variables occuring in p with coefficients in the remaining variables. This is done by mapping to a ring with parameters [and ordering 'ord', if a 3rd argument is present (default: ord="dp")] and applying procedure 'show'

Return:
  no return value

Example:

    LIB "inout.lib";
    ring r=2,(a,b,c,d,x,y),ds;
    poly f=y+ax2+bx3+cx2y2+dxy3;
    showrecursive(f,x);
    ==> // poly, 4 monomial(s)
    ==> (b)*x3+(a+cy2)*x2+(dy3)*x+(y)
    showrecursive(f,xy,"lp");
    ==> // poly, 5 monomial(s)
    ==> (b)*x3+(c)*x2y2+(a)*x2+(d)*xy3+y

User manual for Singular version 4-0-3, 2016, generated by texi2html.